﻿package op.extensions.phone.events
{
	import flash.events.*;
	
	public class AudioEngineStatusEvent extends CallControlEvent
	{
		private var m_offhook:String = null;
		private var m_intercom:String = null;
		private var m_volume:String = null;
		private var m_mute:String = null;
		private var m_hwtype:String = null;
		
		public function AudioEngineStatusEvent(offhook:String, intercom:String, volume:String, mute:String, hwtype:String)
		{
			super(CallControlEvent.CC_EVENT_LINE);
			m_offhook = offhook;
			m_intercom = intercom;
			m_volume = volume;
			m_mute = mute;
			m_hwtype = hwtype;
		}
		
		public function get offhook() : String
		{
			return m_offhook;
		}
		
		public function get intercom() : String
		{
			return m_intercom;
		}
		
		public function get volume() : String
		{
			return m_volume;
		}
		
		public function get mute() : String
		{
			return m_mute;
		}
		
		public function get hwtype() : String
		{
			return m_hwtype;
		}
	}
}
