﻿package op.extensions.phone.events
{
	import flash.events.*;
	
	public class MediaCapabilitiesEvent extends CallControlEvent
	{
		private var m_audioCodec:Number = 0;
		private var m_videoCodec:Number = 0;
		
		public static const CODEC_G711_U_LAW:Number = 1;
		public static const CODEC_G711_A_LAW:Number = 2;
		public static const CODEC_G722:Number 		= 3;
		public static const CODEC_G726:Number 		= 4;
		public static const CODEC_G729:Number		= 5;

		public function MediaCapabilitiesEvent(audioCodec:Number, videoCodec:Number)
		{
			super(CallControlEvent.CC_EVENT_LINE);
			m_audioCodec = audioCodec;
			m_videoCodec = videoCodec;
		}
		
		public function audioSupport() : Number
		{
			return m_audioCodec;
		}

		public function vidoeSupport() : Number
		{
			return m_videoCodec;
		}
	}
}
