﻿package op.utils
{
	/**********************************************************
	 * desc: A base class definition for a library MovieClip that 
	 * implements a button with a dynamic label. This class assumes 
	 * that the following assets are sitting on the stage at frame 1 
	 * of the asset’s local timeline:
	 * 		
	 * TextField, id = lbl_txt 
	 * SimpleButon, id = btn
	 * 	
	 */
	
	import flash.display.MovieClip;
	import flash.display.SimpleButton;
	import flash.events.MouseEvent;
	import flash.text.TextField;
	
	public class OPBtn extends MovieClip
	{

		function OPBtn()
		{
			stop();
			var txt:TextField = lbl_txt;
			txt.mouseEnabled = false;
			txt.embedFonts = true;
		}
		
		public function set lbl(str:String)
		{
			lbl_txt.text = str;
		}
		
		public function get lbl():String
		{
			return lbl_txt.text;
		}
		
		public override function set enabled(b:Boolean):void
		{
			alpha = b ? 1 : .25;
			mouseEnabled = b;
			mouseChildren = b;
			super.enabled = b;
		}
	}
	
}