﻿package op.utils
{
	/**********************************************************
	 * desc: A base class definition for a library MovieClip that 
	 * implements a button with two states.  This class assumes the 
	 * library asset has key frames at frame 1 and 2 of the asset’s 
	 * local timeline representing the inactive and active states
	 * respectively.    
	 * 		
	 */
		
	import flash.display.MovieClip;
	import flash.display.SimpleButton;
	import flash.events.MouseEvent;
	
	public class OPBtnToggle extends MovieClip
	{

		function OPBtnToggle()
		{
			stop();
		}
		
		public function get isOn():Boolean
		{
			return currentFrame == 2;
		}
		
		public function set isOn(b:Boolean)
		{
			gotoAndStop(b?2:1);
		}
		
		public override function set enabled(b:Boolean):void
		{
			alpha = b ? 1 : .25;
			mouseEnabled = b;
			mouseChildren = b;
			super.enabled = b;
		}
	}
	
}