﻿package op.utils
{	
	public class  OPConversions
	{	
		import op.framework.OPLink;
		
		public static const MAX_DAY_INFO:Array = [31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31];
		
		public static const DATE_FORMAT_1:String = "";
		public static const DATE_FORMAT_2:String = "";
		
		public static function USHours(_hrs:Number):Object
		{
			var hh:Number = _hrs % 12;
			return { hrs: hh == 0 ? 12 : hh, ampm: int(_hrs / 12) ? "PM" : "AM" };
		}
		
		public static function MilitaryHours(obj:Object):uint
		{
			if (obj.ampm == "AM")
				return obj.hrs == 12 ? 0 : obj.hrs;
			else 
				return 12 + obj.hrs % 12;
		}
		
		public static function dateString(dt:Date, format:String=""):String
		{
			switch(format)
			{
				case DATE_FORMAT_2:
					if(OPLink.dateFormat == "eu")
						return OPLink.translate("dd" + dt.day).substr(0,3) + ", " + dt.date + " " + OPLink.translate("mm" + (dt.month + 1)) + " " + dt.fullYear;
					else 
						return OPLink.translate("dd" + dt.day).substr(0,3) + ", " + OPLink.translate("mm" + (dt.getMonth() + 1)) + " " + dt.date + " " +  dt.fullYear;
					break;
			}
			
			if(OPLink.dateFormat == "eu")
				return OPLink.translate("dd" + dt.day) + ", " + dt.date + " " + OPLink.translate("mm" + (dt.month + 1)) + " " + dt.fullYear;
			else 
				return OPLink.translate("dd" + dt.day) + ", " + OPLink.translate("mm" + (dt.getMonth() + 1)) + " " + dt.date + " " +  dt.fullYear;
		}
		
		public static function timeString(dt:Date, format:String=""):String
		{
			var hh:Number = dt.hours;
			var hhObj:Object = USHours(hh);
			var mm:Number = dt.minutes;
						
			//define date and time
			if(OPLink.timeFormat == "tm12")
				return "" + hhObj.hrs + ":" + (mm < 10 ? "0" + mm : mm) + " " + hhObj.ampm;
			else 
				return "" + (hh < 10 ? "0" + hh : hh) + ":" + (mm < 10 ? "0" + mm : mm);
		}
		
		public static function lastDayInMonth(month:uint, year:uint):uint
		{
			if (month != 1)
				return MAX_DAY_INFO[month];	
			else
				return !isLeapYear(year) ? 28 : 29;
				
		}
		
		public static function isLeapYear(year:uint):Boolean
		{
			return year % 4 == 0 && year % 100 != 0;
		}
		
	}
	
}