﻿package op.utils
{
	/**********************************************************
	 * desc: Extends the flash.events.Event class in order to 
	 * carry an argument.
	 *   		
	 */

	import flash.events.Event;
	
	public class OPEvent extends Event
	{
		
		public static const FOCUS_IN:String     = "app_in";
		public static const FOCUS_OUT:String    = "app_out";
		public static const INITIAL_LOAD:String = "initial_load";
		public static const LAUNCH:String		= "launch_application";
		public static const BACK:String			= "app_back";
		public static const SAVE:String			= "app_save"
		public static const CONFIRM:String		= "app_confirm"
		public static const ERROR:String		= "app_error";
		public static const CHANGE:String		= "app_change";
		
		private var _args:*;
		
		function OPEvent(type:String, args:* = null, bubble:Boolean = false, cancelable:Boolean = false)
		{
			super(type, bubbles, cancelable);
			_args = args;
		}
		
		public function get args():Object
		{
			return _args;
		}
		
		 public override function clone():Event
		{
			return new OPEvent(type, args);
		}
		
		public override function toString():String
		{
			return "OPEvent::type = " + type;
		}
			
	}
	
}