﻿package op.utils
{
	/**********************************************************
	 * desc: A base class definition for MovieClips that represent 
	 * pop up window backgrounds.  This class has no methods and only 
	 * serves to maintain a consistent filter treatment across pop up 
	 * window backgrounds.
	 * 
	 */
		
	import flash.display.MovieClip;
	import flash.filters.DropShadowFilter;
	
	public class OPWindow extends MovieClip
	{
		function OPWindow()
		{
			filters = [new DropShadowFilter(5, 45, 0x000000, .75)];
		}
	}
	
}