﻿package
{
	import op.framework.OPLang;
	import op.framework.OPLink;
	import op.framework.OpenFrameApplication;
	import op.utils.OPEvent;
	
	import flash.text.TextField;

	import flash.system.ApplicationDomain;

	import flash.events.MouseEvent;
	import flash.events.Event;
	
	public class OPEXAlert extends OpenFrameApplication
	{
		
		function OPEXAlert()
		{
			trace("OPEXAlert::constructor");
			
			//get title from language.xml doc
			var txt = tle_txt;
			txt.embedFonts = true;
			txt.text = OPLang.translate("mm");
			
			//define event handlers
			alert_btn.addEventListener(MouseEvent.CLICK, launchAlert, false, 0, true);
		}
			
		private function launchAlert(e:MouseEvent)
		{
			trace("OPEXAlert::launchAlert");
			
			var alertInfo = new Object();
			alertInfo.rtnCmd = 1;
			alertInfo.msg = "You have opened an Alert window.";
			alertInfo.closeBtnTxt = "Close";
			
			var OPAlert:Class = OPLink.classDefinition("components", "OPAlert") as Class;
			var alert:* = new OPAlert(alertInfo);
			alert.addEventListener(OPEvent.BACK, onAlertClose, false, 0, true);
			alert.name = "alert";

			addChild(alert);
		}

		private function onAlertClose(e:*)
		{
			trace("OPEXAlert::onAlertClose");
			var args = e.args;
			
			for(var nm:String in args)
				trace("OPEXAlert::onAlertClose::args."+nm+"="+args[nm]);

			var confirm = getChildByName("alert");
			removeChild(confirm);
		}
		
	}
	
}