﻿package
{
	import op.framework.OPLang;
	import op.framework.OPLink;
	import op.framework.OpenFrameApplication;
	import op.utils.OPEvent;
	
	import flash.text.TextField;
	
	import flash.system.ApplicationDomain;
	import flash.events.MouseEvent;
	import flash.events.Event;
	
	public class OPEXConfirm extends OpenFrameApplication
	{
		
		var confirm:* = null;
		
		public function OPEXConfirm()
		{
			trace("OPEXConfirm::constructor");
			
			//get title from language.xml doc
			tle_txt.embedFonts = true;
			tle_txt.text = OPLang.translate("mm");
			
			//define event handlers
			confirm_btn.lbl = OPLang.translate("btnClose");
			confirm_btn.addEventListener(MouseEvent.CLICK, launchConfirm, false, 0, true);
		}
			
		private function launchConfirm(e:MouseEvent)
		{
			trace("OPEXConfirm::launchConfirm");
			
			var vars:Object = new Object();
			vars.rtnCmd = 1;
			vars.msg = OPLang.translate("question");
			vars.noBtnTxt = OPLang.translate("btnNo");
			vars.yesBtnTxt = OPLang.translate("btnYes");
			
			var OPConfirm:Class = OPLink.classDefinition("components", "OPConfirm") as Class;
			confirm = new OPConfirm(vars);
			confirm.addEventListener(OPEvent.CONFIRM, onConfirmClose, false, 0, true);
			confirm.name = "confirm";

			addChild(confirm);
		}
		
		private function onConfirmClose(e:*)
		{
			trace("OPEXConfirm::onConfirmClose");
			var args = e.args;
			
			for(var nm:String in args)
				trace("OPEXConfirm::onConfirmClose::args."+nm+"="+args[nm]);
				
			if(args.confirmed)
			{
				OPLink.closeApplication();
			} else {
				var confirmed = getChildByName("confirm");
				removeChild(confirmed);
				confirm = null;
			}

		}
		
	}
	
}