﻿package
{
	import op.framework.OpenFrameApplication;
	import op.framework.OPLang;
	import op.framework.OPLink;
	
	import flash.text.TextField;
	
	import flash.events.Event;
	import flash.events.MouseEvent;
	import flash.events.IOErrorEvent;
	
	import flash.media.Sound;
	import flash.media.SoundChannel;
	import flash.media.SoundLoaderContext;
	
	import flash.net.URLRequest;
	import flash.errors.IOError;
    
	public class OPEXVolume extends OpenFrameApplication
	{
		
		var snd:Sound;
		var channel:SoundChannel;
		
		public function OPEXVolume()
		{
			super();
			trace("OPEXVolume::constructor::mm=" + OPLang.translate("mm"));
			
			var txt:TextField = tle_txt;
			txt.embedFonts = true;
			txt.text = OPLang.translate("mm");
			
			play_btn.addEventListener(MouseEvent.CLICK, onPlay, false, 0, true);
			volume_btn.addEventListener(MouseEvent.CLICK, onVolume, false, 0, true);
			
			snd = new Sound( new URLRequest( "http://av.adobe.com/podcast/csbu_dev_podcast_epi_2.mp3" ) );
		}

		private function onPlay(e:MouseEvent)
		{
			trace("OPEXVolume::onPlay");
			
			if(play_btn.isOn)
			{
				channel.stop();
				play_btn.isOn = false;
			} else {
				channel = snd.play();
				play_btn.isOn = true;
			}
		}
		
		private function onVolume(e:MouseEvent)
		{
			trace("OPEXVolume::onVolume");
			OPLink.loadVolumeControls();
		}
		
		public override function onApplicationUnload(e:Event)
		{
			trace("OPEXVolume::onApplicationUnload");
			
			if(channel != null)
			{
				trace("OPEXVolume::onApplicationUnload:: stopping channel");
				channel.stop();
			}
				
			try
			{
				snd.close();
			} catch (e:IOError){
				trace("OPEXVolume::onApplicationUnload::unable to close the stream");
			}
			
			channel = null;
			snd = null;
		}
		
		
	}
	
}