﻿package op.extensions.phone
{
	import flash.events.IEventDispatcher;
	public interface ICallControl extends IEventDispatcher
	{
		function initialize();
		function setDefaultLine(line:CallControlLine);
		function offhook(line:CallControlLine);
		function onhook(line:CallControlLine);
		function digit(line:CallControlLine, digit:String);
		function dial(line:CallControlLine, digits:String);
		function redial(line:CallControlLine);
		function click2dial(digits:String, launchGUI:Boolean = true);
		function ignore(line:CallControlLine);
		function hold(line:CallControlLine);
		function resume(line:CallControlLine);
		function atransfer(line:CallControlLine, targetLine:Number);
		function utransfer(line:CallControlLine, teleNumber:String);
		function conference(line1:CallControlLine, line2:CallControlLine);
		function message(line:CallControlLine, msg:String);
		
		function volume(level:Number);
		function mute(select:String);
		
		//DECT
		function pageHandsets();
		function pageCancel();
		function startRegistration();
		function deleteHandset(id:String);
		function getHandsetExtendedStatus(id:String); //pt_status
		function getRegisteredHandsets();
		function intercom(type:String, id:String); //0 = disconnect, 1=alert, 2=connect, 3=busy
		function setHandsetDateTime(id:String, day:String, month:String, mday:String, year:String, hour:String, min:String);
		function getAudioEngineStatus();
		function getAccessCode();
		function setHandsetName(id:String, name:String);
		
		function get accountArray():Array;
		function set activeLine(a:*):void;
		function get activeLine():*;
		function get isInitialized():*;
		function get launchc2d() : Boolean;
		function c2dreset();
		
		function destructor():void;
	}
}