﻿package op.extensions.phone.events
{
	import flash.events.*;
	
	public class CallControlEvent extends Event
	{
		public static const CALL_CONTROL_EVENT = "CALL_CONTROL_EVENT";
		
		public static const CC_EVENT_REGISTRATION:Number 		= 0;
		public static const CC_EVENT_LINE:Number 				= 1;
		public static const CC_EVENT_CONFIG_ERROR:Number 		= 2;
		public static const CC_EVENT_CALL_CONTROL_ERROR:Number 	= 3;
		public static const CC_EVENT_DIAL_PLAN_ERROR:Number 	= 4;
		public static const CC_EVENT_NETWORK_ERROR:Number 		= 5;
		public static const CC_EVENT_INFORMATIONAL:Number 		= 6;
		public static const CC_EVENT_CONFIG:Number 				= 7;
		public static const CC_EVENT_FRAME_CLIENT:Number		= 8;
		
		private var m_eventId:Number = 0;

		private var m_provider:String = null;
		private var m_account:String = null;
		private var m_lineIndex:Number = 0;
		
		public function CallControlEvent(eventId:Number)
		{
			m_eventId = eventId;
			super(CALL_CONTROL_EVENT);
		}
		
		public function getEventType() : Number
		{
			return m_eventId;
		}
		
		public function setProvider(p:String) : void 
		{
			m_provider = p;
		}
		
		public function getProvider() : String
		{
			return m_provider;
		}

		public function setAccount(a:String) : void
		{
			m_account = a;
		}
		
		public function getAccount() : String
		{
			return m_account;
		}
		
		public function setLineIndex(i:Number)
		{
			m_lineIndex = i;
		}
		
		public function getLineIndex() : Number
		{
			return m_lineIndex;
		}
	}
}
