﻿package op.extensions.phone.events
{
	import flash.events.*;
	import op.framework.OPLink;
	
	public class DectPTStatusEvent extends CallControlEvent
	{
		private var m_id:String = null;
		private var m_cradled:String = null;
		private var m_charging:String = null;
		private var m_battery:String = null;
		private var m_soft:String = null;
		private var m_boot:String = null;
		private var m_hard:String = null;
		private var m_name:String = null;
		private var m_ipei:String = null;
		private var m_all:String = null;
		
		public function DectPTStatusEvent(id:String, cradled:String, charging:String, battery:String, soft:String, boot:String, hard:String, name:String, ipei:String)
		{
			super(CallControlEvent.CC_EVENT_LINE);
			m_id = id;
			m_cradled = cradled;
			m_charging = charging;
			m_battery = battery;
			m_soft = soft;
			m_boot = boot;
			m_hard = hard;
			m_name = name;
			m_ipei = ipei;
			m_all = OPLink.translate("hsid") + ": " + id + "\n" + 
					OPLink.translate("hscharg") + ": " + charging + "\n" + 
					OPLink.translate("hsbat") + ": " + battery + "\n" + 
					OPLink.translate("hssv") + ": " + soft + "\n" + 
					OPLink.translate("hsblv") + ": " + boot + "\n" + 
					OPLink.translate("hshwv") + ": " + hard + "\n" + 
					OPLink.translate("hsname") + ": " + name + "\n" + 
					OPLink.translate("hsipei") + ": " + ipei;
		}
		
		public function get id() : String
		{
			return m_id;
		}
		
		public function get cradled() : String
		{
			return m_cradled;
		}
		
		public function get charging() : String
		{
			return m_charging;
		}
		
		public function get battery() : String
		{
			return m_battery;
		}
		
		public function get soft() : String
		{
			return m_soft;
		}
		
		public function get boot() : String
		{
			return m_boot;
		}
		
		public function get hard() : String
		{
			return m_hard;
		}
		
		public function get name() : String
		{
			return m_name;
		}
		
		public function get ipei() : String
		{
			return m_ipei;
		}
		
		public function get all() : String
		{
			return m_all;
		}
	}
}
