﻿package op.extensions.phone.events
{
	import flash.events.*;
	
	public class HookEvent extends CallControlEvent
	{
		private var m_onHookState:Boolean = true;
		private var m_fromGUI:Boolean = false;
		private var m_fromHandSet:Boolean = false;
		private var m_fromHeadSet:Boolean = false;
		private var m_fromSpeakerPhone:Boolean = false;
		private var m_fromDectHandset:Boolean = false;
		
		public function HookEvent(hookState:Boolean, terminal:String)
		{
			super(CallControlEvent.CC_EVENT_LINE);
			
			m_onHookState = hookState;
			
			if(terminal == "handset")
				m_fromHandSet = true;
			else if(terminal == "spkphone")
				m_fromSpeakerPhone = true;
			else if(terminal == "headset")
				m_fromHeadSet = true;
			else if(terminal == "gui")
				m_fromGUI = true;
			else if(terminal == "dect")
				m_fromDectHandset = true;
		}
		
		public function isOnHook() : Boolean
		{
			return m_onHookState;
		}
		
		public function fromGUI() : Boolean
		{
			return m_fromGUI;
		}
		
		public function fromHandset() : Boolean
		{
			return m_fromHandSet;
		}
		
		public function fromSpeakerPhone() : Boolean
		{
			return m_fromSpeakerPhone;
		}

		public function fromHeadSet() : Boolean
		{
			return m_fromHeadSet;
		}

		public function fromDectHandset() : Boolean
		{
			return m_fromDectHandset;
		}
	}
}
