﻿package op.extensions.phone.events
{
	import flash.events.*;
	
	public class RegistrationEvent extends CallControlEvent
	{
		private var m_state:Boolean = false;
		private var m_error:Number = 0;
			
		public function RegistrationEvent(state:Boolean, error:Number)
		{
			m_state = state;
			m_error = error;
			super(CallControlEvent.CC_EVENT_REGISTRATION);
		}
		
		public function isOnline() : Boolean
		{
			return m_state;
		}
		
		public function getError() : Number
		{
			return m_error;
		}
	}
}
