﻿package op.extensions.phone.events
{
	import flash.events.*;
	
	public class VoiceMailEvent extends CallControlEvent
	{		
		private var m_oldMsgs:Number = 0;
		private var m_newMsgs:Number = 0;
		private var m_oldUrgentMsgs:Number = 0;
		private var m_newUrgentMsgs:Number = 0;
		
		public function VoiceMailEvent(oldMsgs:Number, newMsgs:Number, oldUrgentMsgs:Number, newUrgentMsgs:Number)
		{
			super(CallControlEvent.CC_EVENT_LINE);
			
			m_oldMsgs = oldMsgs;
			m_newMsgs = newMsgs;
			m_oldUrgentMsgs = oldUrgentMsgs;
			m_newUrgentMsgs = newUrgentMsgs;
		}
		
		public function getNewMsgs() : Number
		{
			return m_newMsgs;
		}
		
		public function getOldMsgs() : Number
		{
			return m_oldMsgs;
		}
		
		public function getNewUrgentMsgs() : Number
		{
			return m_newUrgentMsgs;
		}
		
		public function getOldUrgentMsgs() : Number
		{
			return m_oldUrgentMsgs;
		}
	}
}
