﻿package op.utils
{
	/**********************************************************
	 * desc: A base class definition for the SimpleButton asset 
	 * that represents the background of an application’s main 
	 * menu icon.  This class has no methods and only serves to 
	 * maintain a consistent filter treatment across the backgrounds 
	 * of main menu icons.
	 * 
	 */
	  
	import flash.display.SimpleButton;
	import flash.filters.DropShadowFilter;
	
	public class OPBtnMM extends SimpleButton
	{
		public function OPBtnMM()
		{
			/*
				DropShadowFilter(distance,
                                        angle,
                                        color,
                                        alpha,
                                        blurX,
                                        blurY,
                                        strength,
                                        quality,
                                        inner,
                                        knockout);
			*/
			filters = [new DropShadowFilter(5, 45, 0x000000, .75)];
		}
		
	}
	
}